io.vertx.rxjava.ext.web.handler

## Class ErrorHandler

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.ErrorHandler

- All Implemented Interfaces:
    Handler<RoutingContext>

      public class ErrorHandler
      extends Object
      implements Handler<RoutingContext>

  A pretty error handler for rendering error pages.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<ErrorHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorHandler(ErrorHandler delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ErrorHandler` | `create()` Create an error handler using defaults
    `static ErrorHandler` | `create(boolean displayExceptionDetails)` Create an error handler
    `static ErrorHandler` | `create(String errorTemplateName)` Create an error handler
    `static ErrorHandler` | `create(String errorTemplateName, boolean displayExceptionDetails)` Create an error handler
    `ErrorHandler` | `getDelegate()`
    `void` | `handle(RoutingContext arg0)` Something has happened, so handle it.
    `static ErrorHandler` | `newInstance(ErrorHandler arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<ErrorHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### ErrorHandler

          public ErrorHandler(ErrorHandler delegate)

  - ### Method Detail

    - #### getDelegate

          public ErrorHandler getDelegate()

    - #### handle

          public void handle(RoutingContext arg0)

      Description copied from interface: `Handler`
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `arg0` - the event to handle

    - #### create

          public static ErrorHandler create()

      Create an error handler using defaults
      Returns:
        the handler

    - #### create

          public static ErrorHandler create(String errorTemplateName,
                                            boolean displayExceptionDetails)

      Create an error handler
      Parameters:
        `errorTemplateName` - the error template name - will be looked up from the classpath
        `displayExceptionDetails` - true if exception details should be displayed
      Returns:
        the handler

    - #### create

          public static ErrorHandler create(boolean displayExceptionDetails)

      Create an error handler
      Parameters:
        `displayExceptionDetails` - true if exception details should be displayed
      Returns:
        the handler

    - #### create

          public static ErrorHandler create(String errorTemplateName)

      Create an error handler
      Parameters:
        `errorTemplateName` - the error template name - will be looked up from the classpath
      Returns:
        the handler

    - #### newInstance

          public static ErrorHandler newInstance(ErrorHandler arg)

Copyright © 2017. All rights reserved.